final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}

final def PLUGIN_HOME = System.getenv()['PLUGIN_HOME']
final def driver = props['driver']?.trim()
final def dbJarDir = props['dbJarDir']?.trim()
final def dbJar = props['dbJar']?.trim()
final def dbUrl = props['dbUrl']?.trim()
final def dbUser = props['dbUser']?.trim()
final def dbPass = props['dbPass']
final def sqlFilePath = props['sqlFilePath']?.trim()
final def changeLogTableName = props['changeLogTableName']?.trim()
final def delimiter = props['delimiter']
final def delimitertype = props['delimitertype']
final def lineending = props['lineending']
final def outputfile = props['outputfile']
final def dbms = props['dbms']
final def templatedir = props['templatedir']

println "Using values : "
println "driver : " + driver
println "dbJar : " + dbJar
println "dbUrl : " + dbUrl
println "dbUser : " + dbUser
println "dbPass : " + dbPass
println "sqlFilePath : " + sqlFilePath
println "changeLogTableName : " + changeLogTableName
println "delimiter : " + delimiter
println "delimitertype : " + delimitertype
println "lineending : " + lineending
println "outputfile : " + outputfile
println "dbms : " + dbms
println "templatedir : " + templatedir

def ant = new AntBuilder();

ant.sequential {
    path(id:"drivers.path") {
        fileset dir:"${dbJarDir}", includes:"${dbJar}"
    }

    path(id:"dbdeploy.classpath"){
        fileset dir:"${PLUGIN_HOME}/lib", includes:"*.jar"
        path refid:'drivers.path'
    }

    taskdef(
            name:"dbdeploy",
            classname:"com.dbdeploy.AntTarget",
            classpathref:"dbdeploy.classpath")

    if (outputfile) {
        if (templatedir) {
            dbdeploy(
                    driver:"${driver}",
                    url:"${dbUrl}",
                    userid:"${dbUser}",
                    password:"${dbPass}",
                    changeLogTableName:"${changeLogTableName}",
                    dir:"${sqlFilePath}",
                    outputfile:"${outputfile}",
                    dbms:"${dbms}",
                    templatedir:"${templatedir}"
            )
        }
        else {
            dbdeploy(
                    driver:"${driver}",
                    url:"${dbUrl}",
                    userid:"${dbUser}",
                    password:"${dbPass}",
                    changeLogTableName:"${changeLogTableName}",
                    dir:"${sqlFilePath}",
                    outputfile:"${outputfile}",
                    dbms:"${dbms}"
            )
        }

    }
    else {
        dbdeploy(
                driver:"${driver}",
                url:"${dbUrl}",
                userid:"${dbUser}",
                password:"${dbPass}",
                changeLogTableName:"${changeLogTableName}",
                delimiter:"${delimiter}",
                delimitertype:"${delimitertype}",
                lineending:"${lineending}",
                dir:"${sqlFilePath}"
        )
    }
}
